from flut._flut.engine import FlutEnumObject, FlutRealtimeObject


class KeyEventResult(FlutEnumObject):
    handled: "KeyEventResult"
    ignored: "KeyEventResult"
    skipRemainingHandlers: "KeyEventResult"


class FocusNode(FlutRealtimeObject):

    def __init__(self, onKeyEvent=None):
        super().__init__(
            "FocusNode",
            bindings=[
                ("onKeyEventId", onKeyEvent),
            ],
        )
